Subject: bug#10582: better backtrace

From: Ivan Kanis <[email-masked]>
Date: Sun, 01 Apr 2012 18:57:23 +0200

Eli Zaretskii <[email-masked]> wrote:

>> From: Ivan Kanis <[email-masked]>
>> Date: Sun, 01 Apr 2012 12:41:01 +0200
>> 
>> Here is the full backtrace including the exception code and the lisp
>> backtrace. Let me know what I can do further to identify the problem.
>> 
>> Program received signal SIGPIPE, Broken pipe.
>> 0x0012e416 in __kernel_vsyscall ()
>
> AFAIK, SIGPIPE means that the other side of the pipe was closed.  Is
> Emacs communicating with a program or with the network directly?  If
> the former, please see why does the program exit; if the latter,
> perhaps you have connectivity problems?

Correct if I am wrong, ERC is communicating directly with the network. I
don't have connectivity problem. This bug only happens when I shut down
emacs. To make things trickier, it doesn't happen all the time :(
-- 
Ivan Kanis
http://ivan.kanis.fr

Music is the shorthand of emotion.
    -- Leo Tolstoy